Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08201 Gameplay Major Always Feb 5, 2022, 14:18 Feb 12, 2022, 19:34
Tester kunikuni View Status Public Platform MAME (Official Binary)
Assigned To hap Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver mrdo.cpp
Version 0.240 Fixed in Version 0.241 Build 64-bit
Fixed in Git Commit 8cc6459 Github Pull Request #
Summary 08201: mrdo, mrdoy, mrdobl, yankeedo: After the "EXTRA" demo, only the "E" turns gray and the others remain yellow.
Description After the "EXTRA" demo, only the "E" turns gray and the others remain yellow.
Please watch the video as it is difficult to explain.
Steps To Reproduce Please collect "EXTRA".
Additional Information The bug video is here: https://mega.nz/file/AB1i3AzA#tnmEjvZc65sRUVa2DIACKqUOms1vr-u5aBd9cQ7ypJI
Github Commit
Flags
Regression Version 0.240
Affected Sets / Systems mrdo, mrdoy, mrdobl, yankeedo
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.19757
Haze
Senior Tester
Feb 5, 2022, 22:32
if this started happening only in the latest version it's almost certainly
https://github.com/mamedev/mame/commit/eb89e1ac3189495a3ee1ce4dccd22ab444b9b8b4
User avatar
No.19758
hap
Developer
Feb 6, 2022, 00:38
edited on: Feb 6, 2022, 00:39
The equations converted to C++ are correct.
The file was added here: https://github.com/mamedev/mame/commit/5ddd0069199e3a7bcb67f81cef15bd1ec76e8c1f
Maybe the culprit is a bad PAL(GAL) file, I don't know where AJR obtained it from.

Another one was added by Clawgrip later:
ROM_LOAD( "u001_pal16r6cn.j2", 0x0000, 0x0104, CRC(84dbe498) SHA1(5863342b2db85ffef31b5e9ce26bfd8fca9923b0) )

jedutil shows this for Clawgrip's dump:
weird, no equations for 13,14,15?

jedutil -view u001_pal16r6cn.j2 pal16r6
Inputs:

2, 3, 4, 5, 6, 7, 8, 9, 12, 13, 14, 15, 16, 17, 18, 19

Outputs:

13 (Registered, Output feedback registered, Active low)
14 (Registered, Output feedback registered, Active low)
15 (Registered, Output feedback registered, Active low)
16 (Registered, Output feedback registered, Active low)
17 (Registered, Output feedback registered, Active low)
18 (Registered, Output feedback registered, Active low)

Equations:

/rf13 :=
rf13.oe = OE

/rf14 :=
rf14.oe = OE

/rf15 :=
rf15.oe = OE

/rf16 := /rf16 +
         /rf16 +
         rf14 & rf17 +
         rf14 & /rf16 & rf17 +
         rf14 & /rf15 & rf17 & /rf18 +
         rf13 & rf14 & /rf15 & /rf16 & rf17 & /rf18
rf16.oe = OE

/rf17 := i2 & /i5 +
         i2 & /i3 & i4 & /i5 & rf17 +
         i2 & i3 & /i4 & /i5 & /rf14 & /rf17
rf17.oe = OE

/rf18 := /i7 & /i8 & /i9 & /rf15 & /rf18 +
         rf14 & rf17 +
         rf13 & rf14 & rf17 & /rf18
rf18.oe = OE
User avatar
No.19759
hap
Developer
Feb 6, 2022, 00:54
edited on: Feb 6, 2022, 00:56
Quick log from game running in MAME:
lastwritten data _ expected value _ m_pal_u001 value

attract mode:
A5_40_40
CD_16_16
36_7A_7A
6F_3E_3E
A5_40_40
CD_16_16
36_7A_7A
6F_3E_3E
etc

sequence after EXTRA:
C2_4C_7E NO MATCH
36_2A_7A NO MATCH
6F_66_3E NO MATCH

The latter 2 are very suspicious, since the last written value is the same as the one during attract mode, but it expects a different return value from before. I expect it means that some of the PAL outputs are fed back to the inputs.
User avatar
No.19762
hap
Developer
Feb 6, 2022, 11:29
The Taito sets nop out the EXTRA protection check.
Maybe the PAL dump is correct for the Taito versions?
User avatar
No.19763
hap
Developer
Feb 6, 2022, 12:25
I readded the crazy hack for mrdo, it should be working same like before
User avatar
No.19784
Steve Coomber
Tester
Feb 12, 2022, 16:28
hap, I have just tested mrdo, mrdoy, mrdobl & yankeedo. I can confirm the issue has been corrected.